Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 125786 - User should be warmed if some file is going to be overwritten during diff export
User should be warmed if some file is going to be overwritten during diff export
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: TBD
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 17:30 UTC by Jana Maleckova
Modified: 2008-02-05 08:51 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (2.14 KB, patch)
2008-01-24 08:38 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jana Maleckova 2008-01-22 17:30:38 UTC
Product Version: NetBeans IDE Dev (Build 200801220000)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)

Description:
============
have project with Mercurial versioning
do some changes there and try to export diff
invoke file chooser and select some file
press ok
and do export
Selected file is overwritten without warning. User should be warmed about this.
Comment 1 Padraig Obriain 2008-01-23 08:39:43 UTC
Why?

When using Apply Diff Patch with CVS the user is not warned.

The user can revert the changes if they are not what he wanted.
Comment 2 Jana Maleckova 2008-01-23 16:30:29 UTC
I think, you see it differently
When you want to export diff, you can select some file via file browser(Could be jpeg,txt,doc etc.). When button
"export" is pressed, then selected file is overwritten without any warnings. User cannot "rollback" this action because
he is not working in a scope of version system. Therefore user should be informed about it.
Comment 3 Padraig Obriain 2008-01-24 08:28:20 UTC
Sorry, I did not read your description carefully enough and misunderstood.

I think I understand now what you are requesting.
Comment 4 Padraig Obriain 2008-01-24 08:38:55 UTC
Created attachment 55473 [details]
proposed patch
Comment 5 Padraig Obriain 2008-01-29 08:48:20 UTC
changeset:   64974:abff49222798
tag:         tip
user:        padraigob@netbeans.org
date:        Tue Jan 29 08:44:15 2008 +0000
summary:     Issue 125786: Warn user before ovewrwriting file when doing Export Diff

Change committed.
Comment 6 Jana Maleckova 2008-02-05 08:51:28 UTC
verified on
Product Version: NetBeans IDE Dev (Build 200802050005)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo